import { WebpubManifest } from '../types';
/**
 * Adds TOC data to Webpub Manifest from single-resource PDF using PDF.js
 * @param manifest
 * @param getResource - a function to get the resource. This allows the caller
 * to decide how to get the resource, for example through a proxy if necessary.
 * @param pdfWorkerSrc - the path to the pdfjs worker file. Necessary to use pdfjs.
 * @returns {WebpubManifest} manifest object
 */
export default function addTocToManifest(manifest: WebpubManifest, getResource: (url: string) => Promise<Uint8Array>, pdfWorkerSrc: string): Promise<WebpubManifest>;
