import { WebpubManifest } from '../types';
import { ReadiumLink } from '../WebpubManifestTypes/ReadiumLink';
export declare const IFRAME_WRAPPER_ID = "iframe-wrapper";
export declare const SCALE_STEP = 0.1;
export declare const START_QUERY = "start";
export declare const getResourceUrl: (index: number, readingOrder: ReadiumLink[] | undefined) => string;
export declare const loadResource: (resourceUrl: string, proxyUrl?: string | undefined) => Promise<Uint8Array>;
/**
 * Gets the index of the provided href in the readingOrder, or throws an error if one
 * is not found.
 */
export declare function getIndexFromHref(href: string, manifest: WebpubManifest): number;
/**
 * Compares two hrefs without query params or hash
 */
export declare function doHrefsMatch(href1: string | URL, href2: string | URL): boolean;
/**
 * Extracts a start page from a href if it exists and is in the format
 * `?startPage=1`. Returns undefined if none found.
 */
export declare const getStartPageFromHref: (href: string) => number | undefined;
/**
 * Extracts a page number from a href if it exists and is in
 * the format of `#page=1`
 */
export declare const getPageNumberFromHref: (href: string) => number | undefined;
