import { ReaderArguments, ReaderSettings, ReaderState } from '../types';
export declare type InternalState = {
    resourceIndex: number;
    resource: {
        data: Uint8Array;
    } | null;
    numPages: number | null;
    pageNumber: number;
    scale: number;
    pdfHeight: number;
    pdfWidth: number;
    pageHeight: number | undefined;
    pageWidth: number | undefined;
    rendered: boolean;
};
export declare type InactiveState = ReaderState & InternalState & {
    state: 'INACTIVE';
    settings: undefined;
};
export declare type ActiveState = ReaderState & InternalState & {
    state: 'ACTIVE';
    settings: ReaderSettings;
};
export declare type PdfState = InactiveState | ActiveState;
export declare type PdfReaderAction = {
    type: 'ARGS_CHANGED';
    args: ReaderArguments;
} | {
    type: 'GO_FORWARD';
} | {
    type: 'GO_BACKWARD';
} | {
    type: 'GO_TO_HREF';
    href: string;
} | {
    type: 'RESOURCE_FETCH_SUCCESS';
    resource: {
        data: Uint8Array;
    };
} | {
    type: 'PDF_PARSED';
    numPages: number;
} | {
    type: 'SET_SCALE';
    scale: number;
} | {
    type: 'SET_SCROLL';
    isScrolling: boolean;
} | {
    type: 'PAGE_LOAD_SUCCESS';
    height: number;
    width: number;
} | {
    type: 'RESIZE_PAGE';
    height: number | undefined;
    width: number | undefined;
} | {
    type: 'BOOK_BOUNDARY_CHANGED';
    atStart: boolean;
    atEnd: boolean;
};
