import { HtmlState } from '../HtmlReader/types';
import { Locator } from '../Readium/Locator';
import { ReaderArguments, ReaderSettings } from '../types';
export declare type LSLocation = {
    location: Locator;
    createdAt: number;
};
export declare type LSLocationsRecord = Record<string, LSLocation>;
/**
 * Use getLocalStorageLocation to get the location when
 * initializing the reducer. useUpdateLocalStorage will set
 * values in local storage as they change.
 */
export declare function getLocalStorageLocation(identifier: string, args: ReaderArguments): LSLocation | undefined;
export declare function getLocalStorageSettings(args: ReaderArguments): ReaderSettings | undefined;
export default function useUpdateLocalStorage(identifier: string | null, state: HtmlState, args: ReaderArguments): void;
export declare function clearWebReaderLocalStorage(): void;
